Bug 1076562 - Cannot update organization name via UI
Summary: Cannot update organization name via UI
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: WebUI
Version: 6.0.3
Hardware: Unspecified
OS: Unspecified
unspecified
low vote
Target Milestone: Unspecified
Assignee: Katello Bug Bin
QA Contact: Kedar Bidarkar
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-03-14 14:34 UTC by Og Maciel
Modified: 2014-07-02 14:06 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-07-02 14:06:21 UTC


Attachments (Terms of Use)
Screenshot (42.41 KB, image/png)
2014-03-14 14:34 UTC, Og Maciel
no flags Details
Log (15.16 KB, text/plain)
2014-03-14 14:38 UTC, Og Maciel
no flags Details

Description Og Maciel 2014-03-14 14:34:41 UTC
Created attachment 874450 [details]
Screenshot

Description of problem:

**Nightly** build has issue where updating an organization's name via the UI fails and takes you to a page with a message claiming that the organization cannot be found.

Version-Release number of selected component (if applicable):

* apr-util-ldap-1.3.9-3.el6_0.1.x86_64
* candlepin-0.8.33-1.el6.noarch
* candlepin-selinux-0.8.33-1.el6.noarch
* candlepin-tomcat6-0.8.33-1.el6.noarch
* elasticsearch-0.90.10-4.el6.noarch
* foreman-1.5.0-0.develop.201403131200gita44dd09.el6.noarch
* foreman-postgresql-1.5.0-0.develop.201403131200gita44dd09.el6.noarch
* foreman-proxy-1.5.0-0.develop.201402201704gita25e7b9.el6.noarch
* foreman-release-1.5.0-0.develop.201403131200gita44dd09.el6.noarch
* foreman-selinux-1.5.0-0.develop.201402261344git2f43f94.el6.noarch
* katello-1.5.0-14.201403131443git45ef87a.el6.noarch
* katello-apache-1.0-1.noarch
* katello-ca-1.0-1.noarch
* katello-certs-tools-1.5.2-1.el6.noarch
* katello-installer-0.0.19-1.201403121737git943ff82.el6.noarch
* katello-repos-1.5.1-1.git.14.0868bd1.el6.noarch
* openldap-2.4.23-31.el6.x86_64
* pulp-katello-plugins-0.2-1.el6.noarch
* pulp-nodes-common-2.3.1-1.el6.noarch
* pulp-nodes-parent-2.3.1-1.el6.noarch
* pulp-puppet-plugins-2.3.1-1.el6.noarch
* pulp-rpm-plugins-2.3.1-1.el6.noarch
* pulp-selinux-2.3.1-1.el6.noarch
* pulp-server-2.3.1-1.el6.noarch
* python-ldap-2.3.10-1.el6.x86_64
* ruby193-rubygem-ldap_fluff-0.2.2-2.el6.noarch
* ruby193-rubygem-net-ldap-0.3.1-1.el6.noarch
* ruby193-rubygem-runcible-1.0.8-1.el6.noarch

How reproducible:


Steps to Reproduce:
1. Create a new organization using the UI
2. Proceed to edit it
3. Update its name

Actual results:

Screen claiming that the org cannot be found

Expected results:


Additional info:

See attached logs.

Comment 1 Og Maciel 2014-03-14 14:38:10 UTC
Created attachment 874451 [details]
Log

Comment 2 RHEL Product and Program Management 2014-03-14 14:45:51 UTC
Since this issue was entered in Red Hat Bugzilla, the release flag has been
set to ? to ensure that it is properly evaluated for this release.

Comment 4 Lukas Zapletal 2014-03-17 08:17:13 UTC
Easy help if I have the qa ack :-)

I should be able to land on the on the correct page, dashboard on the worst case.

Comment 5 Lukas Zapletal 2014-03-17 14:50:42 UTC
Okay this was fixed in 89a04e1adf1bfe456e0dbc8d3324ae5129c6dc4a by Joseph.

Comment 7 Og Maciel 2014-03-21 15:04:45 UTC
Still cannot edit the organization. Even with Locations enabled the org still fails to update. See http://projects.theforeman.org/issues/4712

Processing by OrganizationsController#create as HTML
  Parameters: {"utf8"=>"✓", "authenticity_token"=>"uFAh4K2Q+i4Xpozr2kdrhjMWiMHsUjFYdGSXLA1paEY=", "organization"=>{"parent_id"=>"", "name"=>"lzap-org", "label"=>"lzaporg", "description"=>""}, "commit"=>"Submit"}
Expire fragment views/tabs_and_title_records-1 (0.6ms)
Expire fragment views/tabs_and_title_records-1 (0.1ms)

==> /var/log/candlepin/audit.log <==
Fri Mar 21 11:01:57 EDT 2014 - OWNER CREATED on ff80808144e51ad30144e529ac330002 owner ff80808144e51ad30144e529ac330002 performed by org.candlepin.auth.PrincipalData@34e9059c

==> /var/log/foreman/production.log <==
Redirected to https://qetello02.usersys.redhat.com/organizations/294-lzap-org/step2
Completed 302 Found in 4060ms (ActiveRecord: 58.0ms)
Processing by OrganizationsController#step2 as HTML
  Parameters: {"id"=>"294-lzap-org"}
  Rendered taxonomies/_step2.html.erb (9.4ms)
  Rendered taxonomies/step2.html.erb within layouts/application (10.1ms)
  Rendered home/_user_dropdown.html.erb (1.5ms)
Read fragment views/tabs_and_title_records-1 (0.1ms)
  Rendered home/_organization_dropdown.html.erb (381.5ms)
  Rendered home/_location_dropdown.html.erb (4.3ms)
  Rendered home/_org_switcher.html.erb (386.7ms)
  Rendered home/_submenu.html.erb (3.8ms)
  Rendered home/_submenu.html.erb (5.3ms)
  Rendered home/_submenu.html.erb (4.3ms)
  Rendered home/_submenu.html.erb (2.6ms)
  Rendered home/_submenu.html.erb (2.5ms)
  Rendered home/_submenu.html.erb (4.7ms)
Write fragment views/tabs_and_title_records-1 (1.7ms)
  Rendered home/_topbar.html.erb (418.1ms)
  Rendered layouts/base.html.erb (419.7ms)
Completed 200 OK in 445ms (Views: 428.5ms | ActiveRecord: 5.2ms)
Processing by OrganizationsController#edit as HTML
  Parameters: {"id"=>"294-lzap-org"}
  Rendered common_parameters/_parameter.html.erb (1.7ms)
  Rendered common_parameters/_parameters.html.erb (5.7ms)
  Rendered taxonomies/_form.html.erb (916.7ms)
  Rendered taxonomies/edit.html.erb within layouts/application (1239.0ms)
  Rendered home/_user_dropdown.html.erb (1.7ms)
Read fragment views/tabs_and_title_records-1 (0.2ms)
  Rendered home/_topbar.html.erb (3.1ms)
  Rendered layouts/base.html.erb (4.6ms)
Completed 200 OK in 1256ms (Views: 1221.0ms | ActiveRecord: 26.0ms)
Served asset /taxonomy_edit.js - 404 Not Found (8ms)

ActionController::RoutingError (No route matches [GET] "/assets/taxonomy_edit.js"):
  /usr/lib/ruby/gems/1.8/gems/passenger-4.0.5/lib/phusion_passenger/rack/thread_handler_extension.rb:77:in `process_request'
  /usr/lib/ruby/gems/1.8/gems/passenger-4.0.5/lib/phusion_passenger/request_handler/thread_handler.rb:140:in `accept_and_process_next_request'
  /usr/lib/ruby/gems/1.8/gems/passenger-4.0.5/lib/phusion_passenger/request_handler/thread_handler.rb:108:in `main_loop'
  /usr/lib/ruby/gems/1.8/gems/passenger-4.0.5/lib/phusion_passenger/request_handler.rb:441:in `block (3 levels) in start_threads'


Served asset /katello/organizations/download_certificate.js - 404 Not Found (5ms)

ActionController::RoutingError (No route matches [GET] "/assets/katello/organizations/download_certificate.js"):
  /usr/lib/ruby/gems/1.8/gems/passenger-4.0.5/lib/phusion_passenger/rack/thread_handler_extension.rb:77:in `process_request'
  /usr/lib/ruby/gems/1.8/gems/passenger-4.0.5/lib/phusion_passenger/request_handler/thread_handler.rb:140:in `accept_and_process_next_request'
  /usr/lib/ruby/gems/1.8/gems/passenger-4.0.5/lib/phusion_passenger/request_handler/thread_handler.rb:108:in `main_loop'
  /usr/lib/ruby/gems/1.8/gems/passenger-4.0.5/lib/phusion_passenger/request_handler.rb:441:in `block (3 levels) in start_threads'


Connecting to database specified by database.yml
Processing by OrganizationsController#update as HTML
  Parameters: {"utf8"=>"✓", "authenticity_token"=>"uFAh4K2Q+i4Xpozr2kdrhjMWiMHsUjFYdGSXLA1paEY=", "organization"=>{"parent_id"=>"", "name"=>"lzap-org-updated", "description"=>"", "service_level"=>"", "ignore_types"=>["0", "0", "0", "0", "0", "0", "0", "0", "0"], "user_ids"=>[""], "smart_proxy_ids"=>[""], "subnet_ids"=>[""], "compute_resource_ids"=>[""], "medium_ids"=>[""], "config_template_ids"=>[""], "domain_ids"=>[""], "environment_ids"=>["", "302"], "hostgroup_ids"=>[""], "location_ids"=>[""]}, "commit"=>"Submit", "id"=>"294-lzap-org"}

==> /var/log/candlepin/audit.log <==
Fri Mar 21 11:02:16 EDT 2014 - OWNER MODIFIED on ff80808144e51ad30144e529ac330002 owner ff80808144e51ad30144e529ac330002 performed by org.candlepin.auth.PrincipalData@4ae9f3bf

==> /var/log/foreman/production.log <==
  Rendered common/404.html.erb within layouts/application (2.2ms)
  Rendered layouts/base.html.erb (1.7ms)
Completed 404 Not Found in 220ms (Views: 24.8ms | ActiveRecord: 6.1ms)
ENCRYPTION_KEY is not defined, so encryption is turned off for ComputeResource.
Creating scope :roots. Overwriting existing method Hostgroup.roots.
Creating scope :ancestors_of. Overwriting existing method Hostgroup.ancestors_of.
Creating scope :children_of. Overwriting existing method Hostgroup.children_of.
Creating scope :descendants_of. Overwriting existing method Hostgroup.descendants_of.
Creating scope :subtree_of. Overwriting existing method Hostgroup.subtree_of.
Creating scope :siblings_of. Overwriting existing method Hostgroup.siblings_of.
Creating scope :ordered_by_ancestry. Overwriting existing method Hostgroup.ordered_by_ancestry.
Creating scope :ordered_by_ancestry_and. Overwriting existing method Hostgroup.ordered_by_ancestry_and.
Creating scope :before_depth. Overwriting existing method Hostgroup.before_depth.
Creating scope :to_depth. Overwriting existing method Hostgroup.to_depth.
Creating scope :at_depth. Overwriting existing method Hostgroup.at_depth.
Creating scope :from_depth. Overwriting existing method Hostgroup.from_depth.
Creating scope :after_depth. Overwriting existing method Hostgroup.after_depth.

Processing by DashboardController#index as HTML
  Rendered dashboard/_status_table.html.erb (7.1ms)
  Rendered dashboard/index.html.erb within layouts/application (32.4ms)
  Rendered common/_searchbar.html.erb (3.0ms)
  Rendered home/_user_dropdown.html.erb (4.1ms)
Read fragment views/tabs_and_title_records-1 (0.1ms)
  Rendered home/_organization_dropdown.html.erb (326.5ms)
  Rendered home/_location_dropdown.html.erb (4.4ms)
  Rendered home/_org_switcher.html.erb (331.6ms)
  Rendered home/_submenu.html.erb (4.2ms)
  Rendered home/_submenu.html.erb (6.0ms)
  Rendered home/_submenu.html.erb (4.6ms)
  Rendered home/_submenu.html.erb (2.8ms)
  Rendered home/_submenu.html.erb (2.8ms)
  Rendered home/_submenu.html.erb (5.1ms)
Write fragment views/tabs_and_title_records-1 (1.5ms)
  Rendered home/_topbar.html.erb (514.7ms)
  Rendered layouts/base.html.erb (516.6ms)
Completed 200 OK in 891ms (Views: 548.0ms | ActiveRecord: 16.2ms)
Processing by LocationsController#index as HTML
  Rendered taxonomies/index.html.erb within layouts/application (14.2ms)
  Rendered common/_searchbar.html.erb (2.9ms)
  Rendered home/_user_dropdown.html.erb (1.5ms)
Read fragment views/tabs_and_title_records-1 (0.2ms)
  Rendered home/_topbar.html.erb (2.7ms)
  Rendered layouts/base.html.erb (4.4ms)
Completed 200 OK in 37ms (Views: 22.9ms | ActiveRecord: 2.5ms)
Processing by OrganizationsController#index as HTML
  Rendered taxonomies/index.html.erb within layouts/application (301.9ms)
  Rendered common/_searchbar.html.erb (3.4ms)
  Rendered home/_user_dropdown.html.erb (1.6ms)
Read fragment views/tabs_and_title_records-1 (0.2ms)
  Rendered home/_topbar.html.erb (2.9ms)
  Rendered layouts/base.html.erb (4.8ms)
Completed 200 OK in 327ms (Views: 311.1ms | ActiveRecord: 3.0ms)
Processing by OrganizationsController#edit as HTML
  Parameters: {"id"=>"167-0210976542"}
  Rendered common_parameters/_parameter.html.erb (1.6ms)
  Rendered common_parameters/_parameters.html.erb (5.2ms)
  Rendered taxonomies/_form.html.erb (891.8ms)
  Rendered taxonomies/edit.html.erb within layouts/application (1065.9ms)
  Rendered home/_user_dropdown.html.erb (1.7ms)
Read fragment views/tabs_and_title_records-1 (0.2ms)
  Rendered home/_topbar.html.erb (3.2ms)
  Rendered layouts/base.html.erb (5.5ms)
Completed 200 OK in 1222ms (Views: 1188.7ms | ActiveRecord: 24.8ms)
Served asset /katello/organizations/download_certificate.js - 404 Not Found (5ms)

ActionController::RoutingError (No route matches [GET] "/assets/katello/organizations/download_certificate.js"):
  /usr/lib/ruby/gems/1.8/gems/passenger-4.0.5/lib/phusion_passenger/rack/thread_handler_extension.rb:77:in `process_request'
  /usr/lib/ruby/gems/1.8/gems/passenger-4.0.5/lib/phusion_passenger/request_handler/thread_handler.rb:140:in `accept_and_process_next_request'
  /usr/lib/ruby/gems/1.8/gems/passenger-4.0.5/lib/phusion_passenger/request_handler/thread_handler.rb:108:in `main_loop'
  /usr/lib/ruby/gems/1.8/gems/passenger-4.0.5/lib/phusion_passenger/request_handler.rb:441:in `block (3 levels) in start_threads'


Served asset /taxonomy_edit.js - 404 Not Found (14ms)

ActionController::RoutingError (No route matches [GET] "/assets/taxonomy_edit.js"):
  /usr/lib/ruby/gems/1.8/gems/passenger-4.0.5/lib/phusion_passenger/rack/thread_handler_extension.rb:77:in `process_request'
  /usr/lib/ruby/gems/1.8/gems/passenger-4.0.5/lib/phusion_passenger/request_handler/thread_handler.rb:140:in `accept_and_process_next_request'
  /usr/lib/ruby/gems/1.8/gems/passenger-4.0.5/lib/phusion_passenger/request_handler/thread_handler.rb:108:in `main_loop'
  /usr/lib/ruby/gems/1.8/gems/passenger-4.0.5/lib/phusion_passenger/request_handler.rb:441:in `block (3 levels) in start_threads'

Comment 8 Corey Welton 2014-03-21 15:26:00 UTC
Occurs in Snap4 as well.

Comment 9 Corey Welton 2014-03-21 16:51:36 UTC
This may be related to 

https://bugzilla.redhat.com/show_bug.cgi?id=1079482

If I manually enter a label, I can subsequently edit an org.

Comment 10 Lukas Zapletal 2014-03-24 18:20:59 UTC
Okay reproduced, it's the label causing this. Katello adds this field. For now, putting back to unassigned.

Comment 11 Mike McCune 2014-03-25 20:57:42 UTC
This appears resolved in the latest builds of upstream Katello.  Moving to POST.

Comment 13 Kedar Bidarkar 2014-03-28 08:56:21 UTC
Tested with Sat6-Beta-Summit-Release-Snap5-Compose2.


Processing by OrganizationsController#update as HTML
  Parameters: {"utf8"=>"✓", "authenticity_token"=>"Bwx+PbfjWkhSYowoAZBqsZ3R2t5m7MEEiOQtu0tghXk=", "organization"=>{"parent_id"=>"", "name"=>"hello1smm", "description"=>"", "service_level"=>"", "ignore_types"=>["0", "0", "0", "0", "0", "0", "0", "0", "0"], "user_ids"=>[""], "smart_proxy_ids"=>[""], "subnet_ids"=>[""], "compute_resource_ids"=>[""], "medium_ids"=>[""], "config_template_ids"=>[""], "domain_ids"=>[""], "environment_ids"=>["", "4"], "hostgroup_ids"=>[""], "location_ids"=>[""]}, "commit"=>"Submit", "id"=>"4-hello1s"}
  Rendered common/404.html.erb within layouts/application (1.9ms)
  Rendered layouts/base.html.erb (1.3ms)
Completed 404 Not Found in 207ms (Views: 5.8ms | ActiveRecord: 3.5ms)

Comment 14 Kedar Bidarkar 2014-04-08 11:32:06 UTC
With the latest compose Satellite-6.0.3-RHEL-6-20140404.0 we are now able to update the orgs without any issue.

Comment 15 Bryan Kearney 2014-07-02 14:06:21 UTC
This was delivered with 6.0.3, which is the Satellite 6 Beta.


Note You need to log in before you can comment on or make changes to this bug.